Package groovy.xml

# Enum Class MarkupBuilder.CharFilter

java.lang.Object
java.lang.Enum<MarkupBuilder.CharFilter>
groovy.xml.MarkupBuilder.CharFilter

All Implemented Interfaces:
  `Serializable`, `Comparable<MarkupBuilder.CharFilter>`, `Constable`

Enclosing class:
  MarkupBuilder

public static enum MarkupBuilder.CharFilter extends Enum<MarkupBuilder.CharFilter>
Identifiers for built-in character filtering strategies.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `NONE`
  Disable any additional predefined character filtering.
  `XML_ALL`
  Apply the most comprehensive predefined XML escaping rules.
  `XML_STRICT`
  Apply the standard XML escaping rules.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static MarkupBuilder.CharFilter`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static MarkupBuilder.CharFilter[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### XML_STRICT

    public static final MarkupBuilder.CharFilter XML_STRICT
    Apply the standard XML escaping rules.

  - ### XML_ALL

    public static final MarkupBuilder.CharFilter XML_ALL
    Apply the most comprehensive predefined XML escaping rules.

  - ### NONE

    public static final MarkupBuilder.CharFilter NONE
    Disable any additional predefined character filtering.

- ## Method Details

  - ### values

    public static MarkupBuilder.CharFilter[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static MarkupBuilder.CharFilter valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null